/*******************************************
**** VIDEO.H - Video Hardware Emulation ****
****            Header File             ****
*******************************************/

#ifndef	VIDEO_H
#define VIDEO_H

//-- Global Variables --------------------------------------------------------
extern char		*video_vidram;
extern short		video_modulo;
extern unsigned short	video_pointer;
extern unsigned short	*video_paletteram;
extern unsigned short	video_palette_bank0[4096];
extern unsigned short	video_palette_bank1[4096];
extern unsigned char	video_fix_usage[4096];
extern unsigned char	video_spr_usage[32768];
extern unsigned int	video_hide_fps;

//-- Exported Functions ------------------------------------------------------
extern int	video_init(void);
extern void	video_shutdown(void);
extern int	video_set_gfx_mode(void);
extern void	video_set_txt_mode(void);
extern void	video_draw_screen1(void);
extern void	video_draw_screen2(void);
extern void	video_save_snapshot(void);

#endif

