/**************************************
****   CDAUDIO.H  -  CD-DA Player  ****
****         Header File           ****
**************************************/

#ifndef	CDAUDIO_H
#define CDAUDIO_H

//-- Exported Variables ------------------------------------------------------
extern int	cdda_first_drive;
extern int	cdda_nb_of_drives;
extern int	cdda_current_drive;
extern int	cdda_current_track;
extern int	cdda_playing;

//-- Exported Functions ------------------------------------------------------
extern int	cdda_init(void);
extern int	cdda_play(int);
extern void	cdda_stop(void);
extern void	cdda_shutdown(void);
extern void	cdda_loop_check(void);

#endif

