/**************************************
**** SHELL.H -  Shell Command Line ****
****         Header File           ****
**************************************/

#ifndef	SHELL_H
#define SHELL_H

//-- Defines -----------------------------------------------------------------
#define MAX_ARGS	5

//-- Enums -------------------------------------------------------------------
enum	{
	SHELL_QUIT=0, SHELL_NEXT, SHELL_REGS, SHELL_STEP, SHELL_DUMP, SHELL_VDMP, SHELL_VSCR,
	SHELL_SMEM, SHELL_POKE, SHELL_RSET, SHELL_GO, SHELL_JAP, SHELL_US, SHELL_SPA, SHELL_MLST,
	SHELL_MLOD, SHELL_MAVL
	};

//-- Exported Functions ------------------------------------------------------
extern void	shell_init(void);
extern void	shell_get_cmd(void);
extern int	shell_identify_command(char *cmd);

//-- Exported Variables ------------------------------------------------------
extern int	shell_argc;
extern char	shell_argv[MAX_ARGS][80];

#endif

